<?php
include_once 'bd.php';

class Categoria 
{
    public $bd;
    
    public $id;
    public $descricao;
    public $peso;

    public function __construct() {
        $this->bd = new BD();
    }
    
    public function inserir(){
        $sql = "INSERT INTO imediaco_geo.categoria (descricao, peso)
                VALUES ('$this->descricao', '$this->peso')";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('inserir categoria', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao inserir categoria";
            return false;
        }
    }
    
    public function editar(){
        $sql = "UPDATE imediaco_geo.categoria SET
                descricao = '$this->descricao'
                ,peso = '$this->peso'
                WHERE id = '$this->id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('editar categoria', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao editar categoria";
            return false;
        }
    }
    
    public function excluir(){
        $sql = "DELETE FROM imediaco_geo.categoria WHERE id = '$this->id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('excluir categoria', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao excluir categoria";
            return false;
        }
    }
    
    public function encontrar($id){
        $sql = "SELECT * FROM imediaco_geo.categoria WHERE id = '$id'";
        $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        $obj = $this->bd->getObjeto();
        
        $this->id = $obj->id;
        $this->descricao = $obj->descricao;
        $this->peso = $obj->peso;
        
        return $obj;
    }
}
